com.ihr.xbrl.om

## Class Platform

- java.lang.Object
- - com.ihr.xbrl.om.Platform

-     public final class Platform
      extends java.lang.Object

  This class will provide static methods to obtain configuration data on different platforms. Supported platforms are Java and .Net
  Author:
    Ignacio

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DOTNET` The Constant DOTNET.
    `static int` | `JAVA` The Constant JAVA.
    `static boolean` | `MAC_OS` The Constant MAC_OS.
    `static boolean` | `SUN_OS` The Constant SUN_OS.
    `static boolean` | `UNIX_OS` The Constant UNIX_OS.
    `static boolean` | `WINDOWS_OS` The Constant WINDOWS_OS.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Platform()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getPlatform()` Gets the platform.
    `static com.rs.lic.LicenseVerifier` | `getVerifier()` Gets the verifier.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WINDOWS_OS

          public static final boolean WINDOWS_OS

      The Constant WINDOWS_OS.

    - #### MAC_OS

          public static final boolean MAC_OS

      The Constant MAC_OS.

    - #### UNIX_OS

          public static final boolean UNIX_OS

      The Constant UNIX_OS.

    - #### SUN_OS

          public static final boolean SUN_OS

      The Constant SUN_OS.

    - #### JAVA

          public static final int JAVA

      The Constant JAVA.
      See Also:
        Constant Field Values

    - #### DOTNET

          public static final int DOTNET

      The Constant DOTNET.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Platform

          public Platform()

  - ### Method Detail

    - #### getVerifier

          public static com.rs.lic.LicenseVerifier getVerifier()

      Gets the verifier.
      Returns:
        the LicenseVerifier instance object on this platform

    - #### getPlatform

          public static int getPlatform()

      Gets the platform.
      Returns:
        Constant indicating JAVA or DOTNET platforms